### Method

# Gimp ColorProfile get_icc_profile

#### Declaration [src]

    const guint8*
    gimp_color_profile_get_icc_profile (
      GimpColorProfile* profile,
      gsize* length
    )

#### Description [src]

This function returns `profile` as ICC profile data. The returned memory belongs to `profile` and must not be modified or freed.

Available since: | 2.10

#### Parameters

`length` | `gsize*`
| Return location for the number of bytes.
| The argument will be set by the function.

#### Return value

Returns: | An array of `guint8`
| A pointer to the IIC profile data.
| The length of the array is in the `length` argument.
| The data is owned by the instance.